Bug 6949 - can't remove owner from budget
Summary: can't remove owner from budget
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) major (vote)
Target Milestone: ---
Assignee: Henri-Damien LAURENT
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-30 12:43 UTC by Nicole C. Engard
Modified: 2011-10-26 22:37 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed Patch (1.06 KB, patch)
2011-10-13 14:13 UTC, Ian Walls
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6949: cannot remove owner from fund (1.29 KB, patch)
2011-10-17 21:06 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-09-30 12:43:36 UTC
To test (if no owner on a fund):

1. go to the list of funds and click 'edit' next to one
2. click 'edit owner'
3. add an owner
4. click 'submit'
5. click 'edit' next to the fund
6. click 'remove owner'
7. click 'submit'
8. click 'edit' next to the fund
9. see that the owner is still there

If you have an owner already skip to step 5.
Comment 1 Ian Walls 2011-10-13 14:13:47 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2011-10-17 21:06:53 UTC
Created attachment 5948 [details] [review]
[SIGNED-OFF] Bug 6949: cannot remove owner from fund

The Javascript to remove an owner from a budget cleared the name from the screen, but did not remove
the actual value in the form, so when saving, the original owner was retained.

This patch adds the command to set the value to ''.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
I could reproduce the bug on current master. Patch fixes the problem, fund
owners can now be added and removed without any problems.
Thx for providing a test plan!
Comment 3 Ian Walls 2011-10-18 12:28:35 UTC
Template only change to Javascript; adds a single command consistent with other places in the code.  No new strings.  Marking as Passed QA, unless anyone objects to my being the author.
Comment 4 Paul Poulain 2011-10-18 12:37:30 UTC
QA comment:
Agreed with Ian comment 3
Comment 5 Chris Cormack 2011-10-18 14:10:07 UTC
Fixes an annoying bug, pushed, please test
Comment 6 Katrin Fischer 2011-10-26 22:37:10 UTC
Owner can be removed from fund now.